    <!DOCTYPE html>
    <html>
    
        <head>
            <meta charset="utf-8">
            <meta http-equiv="X-UA-Compatible" content="IE=edge,chrome=1">
            <title>Research</title>
            <meta name="description" content="Udayan Umapathi's Webpage.">
            <link rel="stylesheet" href="main.css">
            <script src="processing.js" ></script>
        <link rel="icon" type="img/png" href="icon.png">

        <script>
          (function(i,s,o,g,r,a,m){i['GoogleAnalyticsObject']=r;i[r]=i[r]||function(){
          (i[r].q=i[r].q||[]).push(arguments)},i[r].l=1*new Date();a=s.createElement(o),
          m=s.getElementsByTagName(o)[0];a.async=1;a.src=g;m.parentNode.insertBefore(a,m)
          })(window,document,'script','//www.google-analytics.com/analytics.js','ga');

          ga('create', 'UA-46266940-1', 'purdue.edu');
          ga('send', 'pageview');

        </script>
        
        </head>
        <body>
            
             <img alt="pattern" src="Udayan Umapathi2.png" height="80"
                width="300">
            
            <br>
            <br>

           
            
            <ulh>
                <lih><a  class="menu" href="index.html" >home</a></lih>
                <lih><a class="menu" href="projects.html" >projects</a></lih>
                <lihblue><a class="menu" href="research.html">research</a></lihblue>
                <lih><a class="menu" href="hobby.html">obsession</a></lih>
            </ulh>

            <hr class="style-one"/>

            <div >
            <img src="3dofmouse.png" style="max-width: 100%;height:auto;">
            </div>
            
            <p><b>Primary research area:</b> Human-Computer Interfaces, Ubiquitous and Wearable Computing, Sensor-enabled technology, Embedded systems, mobile devices.   </p>

            <hr class="style-six">
            
            <p class="subheading">Current research focus</p>
            <p><b>Master's thesis:</b> Developing a 3-degrees of freedom mouse that reports consistent translation and rotation - advised by <a href="https://engineering.purdue.edu/~elm/">Prof.Niklas Elmqvist</a> and <a href="http://geometeer.com/">Mathematician Tim Poston</a>. </p>
            <p><i>Area: Human-computer-interfaces</i></p>
            <p>I am developing a 3-degrees-of-freedom mouse (3DOF mouse) for my Master's thesis. The 3DOF mouse uses MEMS accelerometer and gyroscopes to compute planar translation (XY movement, same functionality as normal mouse) and rotation. 3DOF mouse is interoperable with a standard mouse, but reports rotation of the mouse as an input to the operating system. My research focusses on:</p>
                <ul>
                    <li><b>Construction of the mouse (2011 - 2013)</b>
                        <ul>
                            <li>Algorithm development for converting accelerometer and gyroscope signals to useful information - translation, rotation.</li>
                            <li>A standard mouse fails to report rotation, however, rotation of the mouse affects what is reported to the OS. In a hand-motion, where your elbow is pivoted at a point on the table and moved outward, the corresponding motion of the cursor follows a straight-line moving sideways. This is somewhat counter-intuitive. Typically to compensate for the arm pivoting (shown in the image below, you would rotate your wrist. To move exactly straight, you must follow a curve. If you move straight, the mouse must not turn. This is difficult. The 3DOF mouse takes the rotation into account and becomes a directionally consistent mouse. To know more about what this is all about visit <a href="http://geometeer.com/geometeeruse3dof.html">Mushaca<sup>**</sup></a>.   
                                <!--  <img class="centering" src="armPivoting0.gif" alt="Arm pivoting"></li> -->
                                 <img class="centering" src="armPivoting.gif" alt="Arm pivoting"></li> 
                        </ul>
                    </li>  
                    
                    <li><p><b>Investigating the benefits of having rotation in a mouse (2013):</b> this part of the research consists of evaluation of the 3DOF mouse and applicability of rotation as a input. The investigation is done through a set of experiments constructed based on <a href="https://engineering.purdue.edu/~elm/projects/eval-patterns/eval-patterns.pdf">N. Elmqvist, J.-S. Yi. Patterns for Visualization Evaluation. <i>Information Visualization</i>, to appear, 2014.</a></p>
                        
                        <ul>
                            <li>Ad-hoc study (demonstrating realistic use-case): We have developed a set of four applications to demonstrate real-world use cases and benefits of having rotation on a mouse. These applications together constitute a ad-hoc study and serve as a sanity check ensuring applicability of rotation to real scenarios.</li>
                            <li>Rigourous study (unrealistic): Second part of the investigation consists of a set of two tasks which are unrealistic. These are rigorous in the sense that, the user is pushed to unrealistic limits. The rigorous exeperiments more or less serve as the backbone and prove that the rotation from a mouse works in general.</li> 
                        </ul>  
                    </li>      
                </ul>
             
             <p>The tentative plan is to publish the results of the study in ACM UIST 2014 and CHI 2014 conferences. For an update on the progress so far, visit <a href="3dof.html"> 3DOF mouse</a>.</p>
            
             <p><b>**</b>&nbsp;Mushaca is a sanskrit word for "Mouse". Mushaca is also Lord Ganesha's vehicle in Hinduism.</p>

            <hr class="style-six">
            
           <p><b>Google Glass as everyday computing paradigm (2013)</b><br><i>Area: Wearable computing, Everyday Computing, Augmented reality</i></p>
            <p>This a collaborative project with <a href="people.html" 
            target="_blank">Lalithambika Krishnakumar</a>, a graduate student at Purdue University. We are investigating the use of wearable devices such as Google Glass for everyday computing.
                <ul>
                    <li>We are trying to understand how sensors on Glass (magnetometer, light sensor, GPS, pupil sensor and many more) can be used to provide a rich context in everyday setting. </li>
                    <li>We are also creating a augmented layer that uses the sensors on Glass and a few other external sensors to provide a novel learning experiences at universities. To know more about this augmented reality project, visit <a href="projectdisha.html">Project Disha</a>.</li>
                    <li>Glass embraces a web-based user interface paradigm called "Timeline", which is essentially a set of all events such as phone calls, text messages, twitter feed etc., indexed based on time. In n everyday context this interface is extremely inefficient and unsuitable for a wearable device. We propose novel interfaces which are easy to use on devices like Google Glass.</li>
                </ul>
                </p>
            
            <hr class="style-six">
            <h3>Related projects</h3>
            
            <div class="img" >   
            <a target="_self" href="3dof.html"><img src="mouseMac1.png" alt="3DOF Mouse" width="240"    height="200" ></a>
            <div class="title">3DOF mouse</div>
            <div class="desc">MEMS sensors based 3 degrees of freedom mouse</div>
            </div>             
            
            
            <div class="img">   
            <a target="_self" href="project_disha.html"><img src="google-glass.jpg" alt="Glass " width="240" height="200"></a>
            <div class="title">Project Disha ( दिशा )</div>
            <div class="desc">An augmented reality project using Google Glass</div>
            </div>
            
            
            <hr class="style-seven" />            
            <p class="left">copyrights©2013 Udayan</p>
            <br style="clear: both" />  
            
        </body>
    </html>

